summaryrefslogtreecommitdiffstats
path: root/testing/udev/udev-postmount.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-06 09:30:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-06 09:30:14 +0000
commitbb40da560a54925d1df85afa3823db114ec923df (patch)
treed3eb5b7cf430cc2e9632b79ccf2d88d99c1a871a /testing/udev/udev-postmount.initd
parent24bfc81d4198293428ee670debc55efaea78e6d3 (diff)
downloadaports-bb40da560a54925d1df85afa3823db114ec923df.tar.bz2
aports-bb40da560a54925d1df85afa3823db114ec923df.tar.xz
testing/udev: moved from main
Diffstat (limited to 'testing/udev/udev-postmount.initd')
-rwxr-xr-xtesting/udev/udev-postmount.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/udev/udev-postmount.initd b/testing/udev/udev-postmount.initd
new file mode 100755
index 00000000..96beb845
--- /dev/null
+++ b/testing/udev/udev-postmount.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/files/136/udev-postmount.initd,v 1.3 2009/02/23 16:30:53 zzam Exp $
+
+depend() {
+ need localmount
+}
+
+dir_writeable()
+{
+ mkdir "$1"/.test.$$ 2>/dev/null && rmdir "$1"/.test.$$
+}
+
+start() {
+ # check if this system uses udev
+ [ -d /dev/.udev/ ] || return 0
+
+ # only continue if rules-directory is writable
+ dir_writeable /etc/udev/rules.d || return 0
+
+ # store persistent-rules that got created while booting
+ # when / was still read-only
+ /lib/udev/move_tmp_persistent_rules.sh
+}
+
+stop() {
+ :
+}
+
+# vim:ts=4